#
# spec file for package avfs
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           avfs
Version:        1.0.2
Release:        6.9
Summary:        AVFS - an archive look-inside filesystem
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Archiving/Compression
Url:            http://avf.sourceforge.net/
Source0:        http://downloads.sf.net/avf/%name-%version.tar.bz2
Source1:        http://downloads.sf.net/avf/%name-%version.tar.bz2.asc
Source2:        %{name}.keyring
BuildRequires:  emacs-nox
BuildRequires:  fuse-devel
BuildRequires:  help2man
BuildRequires:  libbz2-devel
BuildRequires:  libexpat-devel
BuildRequires:  libext2fs-devel
BuildRequires:  libneon-devel
BuildRequires:  libopenssl-devel
BuildRequires:  libxml2-devel
BuildRequires:  pkg-config
BuildRequires:  xz-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
AVFS is a filesystem which enables all programs to look inside archived or
compressed files, or access remote files without recompiling the programs
or changing the kernel.

%package devel
Summary:        Development files for AVFS, an archive look-inside filesystem
Group:          Development/Libraries/C and C++
Requires:       libavfs0 = %version

%description devel
This package includes the development file for the package avfs.
AVFS is a filesystem which enables all programs to look inside archived or
compressed files, or access remote files without recompiling the programs
or changing the kernel.

%package -n libavfs0
Summary:        Shared library for AVFS, an archive look-inside filesystem
Group:          System/Libraries

%description -n libavfs0
This package includes the runtime shared library for the package avfs.
AVFS is a system, which enables all programs to look inside archived or
compressed files, or access remote files without recompiling the programs
or changing the kernel.

%prep
%setup -q

%build
%configure \
  --disable-avfscoda \
  --enable-library \
  --enable-fuse \
  --disable-static \
  --enable-shared \
  --with-system-zlib \
  --with-system-bzlib \
  --with-gnu-ld \
  --enable-libxml \
  --with-neon \
  --with-ssl \
  --with-xz
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

pushd %{buildroot}/%{_libdir}/avfs/extfs/
    mv uzip ext-uzip
    mv urar ext-urar
popd
mkdir -p %{buildroot}/%{_mandir}/man1/
pushd %{buildroot}/%{_mandir}/man1/
    LD_LIBRARY_PATH=%{buildroot}/%{_libdir} \
    PATH=%{buildroot}/%{_bindir}:$PATH \
    help2man -s 1 -N --no-discard-stderr avfsd | \
    sed 's/^FUSE \\- .*/AVFS - A Virtual File System/' > \
    avfsd.1
popd

rm -vf %{buildroot}/%{_libdir}/libavfs.la

%post -n libavfs0 -p /sbin/ldconfig

%postun -n libavfs0 -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc ChangeLog README COPYING NEWS TODO
%doc doc/api-overview
%doc doc/background
%doc doc/FORMAT
%doc doc/README.avfs-fuse
%{_bindir}/avfsd
%{_bindir}/davpass
%{_bindir}/ftppass
%{_bindir}/mountavfs
%{_bindir}/umountavfs
%dir %{_libdir}/avfs
%dir %{_libdir}/avfs/extfs
%{_libdir}/avfs/extfs/*
%doc /%{_mandir}/man1/avfsd.1*

%files devel
%defattr(-,root,root,0755)
%{_bindir}/avfs-config
%{_includedir}/avfs.h
%{_includedir}/virtual.h
%{_libdir}/libavfs.so

%files -n libavfs0
%defattr(-,root,root,0755)
%{_libdir}/libavfs.so.0
%{_libdir}/libavfs.so.0.0.2

%changelog
* Sun May 17 2015 jengelh@inai.de
- Improve summary and description. -devel subpackage should require
  same-version shared library. Drop --with-pic, because it is
  implicit for shared libraries (and we do not build static).
  Use short Sourceforge download URLs.
* Tue May 12 2015 mpluskal@suse.com
- Update licensing information
* Fri May  8 2015 mpluskal@suse.com
- Update to 1.0.2
- Add gpg signature
- Clenup spec file with spec-cleaner
- Drop avfs-1.0.0.dif as it fails to apply to current release
* Tue May  8 2012 werner@suse.de
- First initial package for mounting tar and other bells and whistles
